Retrieve the authenticated organization and list bank accounts
curl --request GET \
--url https://thirdparty.qonto.com/v2/organization \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/organization"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/organization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organization": {
"id": "cb47875a-9b12-416e-aa9a-265b9dfaeee7",
"slug": "elektro-tesla-gmbh-3066",
"legal_name": "Elektro Tesla GmbH",
"legal_number": "12A34FC5",
"legal_sector": "6200Z",
"legal_registration_date": "2022-11-27",
"legal_address": "Fritz-Arnold-Str. 18 85614 Kirchseeon GERMANY",
"legal_form": "GmbH",
"legal_country": "DE",
"legal_share_capital": 1000,
"locale": "de",
"contract_signed_at": "2022-12-01 08:57:00.123047",
"bank_accounts": [
{
"slug": "super-bankaccount-5785",
"iban": "FR7616798000010000005663951",
"bic": "TRZOFR21XXX",
"currency": "EUR",
"balance": 100,
"balance_cents": 10000,
"authorized_balance": 100,
"authorized_balance_cents": 10000,
"name": "Main account",
"updated_at": "2021-03-23T14:00:46.967Z",
"status": "active",
"main": true
}
]
}
}
Organizations
Retrieve the authenticated organization and list bank accounts
OAuth scope: organization.read
Retrieves the details and the list of bank accounts for the authenticated organization.
The bank account’s id or iban will be required to retrieve the list of transactions inside that bank account, using GET /v2/transactions.
GET
/
v2
/
organization
Retrieve the authenticated organization and list bank accounts
Migrating from
GET /v1/organizations/{slug} or GET /v2/organizations/{slug}? See the migration guide. Both endpoints will be sunset on November 15, 2026.Authorizations
OAuthSecretKey
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
By default includes only Qonto accounts. Set to 'true' if you also want to include your connected externals account(s).
Response
Returns the details and the list of bank accounts for the authenticated organization.
Show child attributes
Show child attributes
Was this page helpful?